> ## Documentation Index
> Fetch the complete documentation index at: https://docs.middlewr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Edge Status

> Check whether the edge serves the current version of a link



## OpenAPI

````yaml openapi.json GET /api/workspaces/{workspace_id}/links/{link_id}/edge/status
openapi: 3.1.1
info:
  title: Middlewr API
  description: Short link management platform API
  version: 1.0.0
  contact:
    name: Middlewr
    email: hello@middlewr.com
    url: https://middlewr.com/contact
servers:
  - url: https://api.middlewr.com
security:
  - ApiKeyAuth: []
paths:
  /api/workspaces/{workspace_id}/links/{link_id}/edge/status:
    get:
      tags:
        - Links
      operationId: links.edgeStatus
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: link_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  synced:
                    type: boolean
                  version:
                    anyOf:
                      - type: number
                      - type: 'null'
                required:
                  - synced
                  - version
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: A user or workspace API key, created in the dashboard settings.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.